{#<pagetitle>NHS.UK | Hospital data</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}

<form action="hospital-details" method="post" class="form">
    <fieldset class="nhsuk-fieldset ">
        <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
            {{ heading({
                subHeading:{ text: 'hospital-details.section.heading'},
                text: 'hospital-details.h1',
                classes: 'nhsuk-fieldset__heading',
                locale: locale
                })
            }}
        </legend>
        {{ p({text:'hospital-details.hint', classes:'nhsuk-hint', locale: locale}) }}
        {{
        input({
            "formGroup": {
                classes: "nhsuk-date-input__item"
            },
            "label": {
                "text": "count",
                "locale" : locale,
                "classes": "nhsuk-u-visually-hidden"
            },
            id: "hospitalCount",
            name: "hospitalCount",
            value: data.Hospital.HospitalCount,
            type: "hidden"
        })
    }}

        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "hospital-details.section1.input1",
               locale: locale
            },
            id: "hospitalName",
            name: "hospitalName",
            classes: "nhsuk-input",
            value: data.Hospital.HospitalName,
            "errorMessage": parseErrors(errors, 'hospitalName')
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "hospital-details.section1.input2",
               locale: locale
            },
            id: "hospitalAddressLine1",
            name: "hospitalAddressLine1",
            classes: "nhsuk-input",
            value: data.Hospital.HospitalAddressLine1,
            "errorMessage": parseErrors(errors, 'hospitalAddressLine1')
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section1.input3",
                "classes": "nhsuk-u-visually-hidden",
                locale: locale
            },
            id: "hospitalAddressLine2",
            name: "hospitalAddressLine2",
            classes: "nhsuk-input",
            value: data.Hospital.HospitalAddressLine2,
            "errorMessage": parseErrors(errors, 'hospitalAddressLine2')
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section1.input4",
                locale: locale
            },
            id: "hospitalTownOrCity",
            name: "hospitalTownOrCity",
            classes: "nhsuk-input, nhsuk-u-width-two-thirds",
            value: data.Hospital.HospitalTownOrCity,
            "errorMessage": parseErrors(errors, 'hospitalTownOrCity')
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section1.input5",
                locale: locale
            },
            id: "hospitalCounty",
            name: "hospitalCounty",
            classes: "nhsuk-input nhsuk-u-width-two-thirds",
            value: data.Hospital.HospitalCounty,
            "errorMessage": parseErrors(errors, 'hospitalCounty')
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section1.input6",
                locale: locale
            },
            id: "hospitalPostcode",
            name: "hospitalPostcode",
            classes: "nhsuk-input nhsuk-input--width-10",
            value: data.Hospital.HospitalPostcode,
            "errorMessage": parseErrors(errors, 'hospitalPostcode')
        })
    }}

        <br>

        <h2>{{ __({phrase: 'hospital-details.section2.h2', locale: locale }) }}</h2>

        {{
        input({
            "formGroup": {
                classes: "nhsuk-form-group"
            },
            "fieldset": {
                classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section2.input1",
                locale: locale
            },
            id: "hospitalConsultant",
            name: "hospitalConsultant",
            classes: "nhsuk-input nhsuk-input--width-10",
            value: data.Hospital.HospitalConsultant,
            "errorMessage": parseErrors(errors, 'hospitalConsultant')
        })
    }}
        {{
        input({
            "formGroup": {
                classes: "nhsuk-form-group"
            },
            "fieldset": {
                classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section2.input2",
               locale: locale
            },
            id: "hospitalConsultantTelNo",
            name: "hospitalConsultantTelNo",
            classes: "nhsuk-input nhsuk-input--width-10",
            value: data.Hospital.HospitalConsultantTelNo,
            "errorMessage": parseErrors(errors, 'hospitalConsultantTelNo')
        })
    }}
        {{
        input({
            "formGroup": {
                classes: "nhsuk-form-group"
            },
            "fieldset": {
                classes: "nhsuk-fieldset"
            },
            "label": {
                "text": "hospital-details.section2.input3",
                locale: locale
            },
            id: "hospitalConsultantEmail",
            name: "hospitalConsultantEmail",
            classes: "nhsuk-input nhsuk-input--width-10",
            value: data.Hospital.HospitalConsultantEmail,
            "errorMessage": parseErrors(errors, 'hospitalConsultantEmail')
        })
    }}
    </fieldset>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>